Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 01-10-2016 19:19:34

golgot200
Membre
Lieu : AIN
Distrib. : Debian Jessie
Noyau : Linux debian 3.16.0-4-amd64
(G)UI : MATE
Inscription : 05-08-2007

Un doute sur Handbrake

Bonsoir,

je me pose une question.
Handbrake sous Nux est-il équivalent en possibilité de réglages que les versions proposées pour Windows et Mac.
Je regarde pas mal de tuto pour régler   la bête mais j'avoue qu'avec celle de linux, pas moyen de faire ?
Qu'en pensez-vous ?

L'ultime question ... l'intelligence a besoin de la bêtise pour s'affirmer, la beauté a besoin de la laideur pour resplendir, le courage nait dans la peur, les forts impressionnent au millieu des faibles, mais au final,... qui a donc besoin d'autant de connards ?

Hors ligne

#2 01-10-2016 19:37:19

golgot200
Membre
Lieu : AIN
Distrib. : Debian Jessie
Noyau : Linux debian 3.16.0-4-amd64
(G)UI : MATE
Inscription : 05-08-2007

Re : Un doute sur Handbrake

Sur un tuto :

Ubuntu

https://www.youtube.com/watch?v=r-bNaX4PiLI

1475343346.png

Ces fonctions, je ne les ai pas hmm

Dernière modification par golgot200 (01-10-2016 19:38:25)


L'ultime question ... l'intelligence a besoin de la bêtise pour s'affirmer, la beauté a besoin de la laideur pour resplendir, le courage nait dans la peur, les forts impressionnent au millieu des faibles, mais au final,... qui a donc besoin d'autant de connards ?

Hors ligne

#3 01-10-2016 19:51:24

leonlemouton
Adhérent(e)
Distrib. : Jessie
Noyau : Linux 3.16.0-4-686-pae
(G)UI : Mate 1.8.1
Inscription : 14-08-2012

Re : Un doute sur Handbrake

la version ubuntu semble être la 0.10.5
Chez moi c'est 0.9.9...
peut-être qu'avec la version du dépôt testing...
ou en compilant depuis les sources...
smile

Leonlemouton
°(")°

Hors ligne

#4 01-10-2016 19:59:40

nIQnutn
Modérateur
Lieu : Lyon
Distrib. : Jessie
Noyau : Linux 3.16-amd64
(G)UI : XFCE
Inscription : 16-03-2012
Site Web

Re : Un doute sur Handbrake

fonctions qui peuvent changer selon les versions et peut être que tous les formats vidéos n'offre pas les mêmes options.

En ligne

#5 01-10-2016 20:10:55

golgot200
Membre
Lieu : AIN
Distrib. : Debian Jessie
Noyau : Linux debian 3.16.0-4-amd64
(G)UI : MATE
Inscription : 05-08-2007

Re : Un doute sur Handbrake

Merci  wink

j'essaie de compiler la 0.10.5, mais c'est pas gagné hmm

L'ultime question ... l'intelligence a besoin de la bêtise pour s'affirmer, la beauté a besoin de la laideur pour resplendir, le courage nait dans la peur, les forts impressionnent au millieu des faibles, mais au final,... qui a donc besoin d'autant de connards ?

Hors ligne

#6 01-10-2016 20:31:24

golgot200
Membre
Lieu : AIN
Distrib. : Debian Jessie
Noyau : Linux debian 3.16.0-4-amd64
(G)UI : MATE
Inscription : 05-08-2007

Re : Un doute sur Handbrake


time end: Sat Oct  1 20:21:29 2016
duration: 14 minutes, 11 seconds (851.21s)
result: SUCCESS

 




Bon, on va voir ce que ça donne


L'ultime question ... l'intelligence a besoin de la bêtise pour s'affirmer, la beauté a besoin de la laideur pour resplendir, le courage nait dans la peur, les forts impressionnent au millieu des faibles, mais au final,... qui a donc besoin d'autant de connards ?

Hors ligne

#7 01-10-2016 20:48:32

golgot200
Membre
Lieu : AIN
Distrib. : Debian Jessie
Noyau : Linux debian 3.16.0-4-amd64
(G)UI : MATE
Inscription : 05-08-2007

Re : Un doute sur Handbrake

Deb crée mais pas cet onglet H264 . C'est quasi la même interface. hmm

L'ultime question ... l'intelligence a besoin de la bêtise pour s'affirmer, la beauté a besoin de la laideur pour resplendir, le courage nait dans la peur, les forts impressionnent au millieu des faibles, mais au final,... qui a donc besoin d'autant de connards ?

Hors ligne

#8 01-10-2016 21:28:51

golgot200
Membre
Lieu : AIN
Distrib. : Debian Jessie
Noyau : Linux debian 3.16.0-4-amd64
(G)UI : MATE
Inscription : 05-08-2007

Re : Un doute sur Handbrake


L'ultime question ... l'intelligence a besoin de la bêtise pour s'affirmer, la beauté a besoin de la laideur pour resplendir, le courage nait dans la peur, les forts impressionnent au millieu des faibles, mais au final,... qui a donc besoin d'autant de connards ?

Hors ligne

#9 01-10-2016 21:37:37

leonlemouton
Adhérent(e)
Distrib. : Jessie
Noyau : Linux 3.16.0-4-686-pae
(G)UI : Mate 1.8.1
Inscription : 14-08-2012

Re : Un doute sur Handbrake

hum...:(
https://handbrake.fr/docs/en/latest/tec … odecs.html
le problème vient peut-être de là:
"Available on Intel processors with Intel HD Graphics."
...

Leonlemouton
°(")°

Hors ligne

#10 02-10-2016 10:18:30

golgot200
Membre
Lieu : AIN
Distrib. : Debian Jessie
Noyau : Linux debian 3.16.0-4-amd64
(G)UI : MATE
Inscription : 05-08-2007

Re : Un doute sur Handbrake

@leonlemouton

peux pas de dire hmm

En tout cas voilà mes notes et résultat pour la compilation de la version 0.10.5


apt-get install git cmake yasm build-essential autoconf libtool \
     zlib1g-dev libbz2-dev libogg-dev libtheora-dev libvorbis-dev libopus-dev \
     libsamplerate-dev libxml2-dev libfribidi-dev libfreetype6-dev \
     libfontconfig1-dev libass-dev libmp3lame-dev libx264-dev libjansson-dev \
     intltool libglib2.0-dev libdbus-glib-1-dev libgtk-3-dev libgudev-1.0-dev \
     libwebkitgtk-3.0-dev libnotify-dev libgstreamer1.0-dev \
     libgstreamer-plugins-base1.0-dev libappindicator-dev




Note, selecting 'libsamplerate0-dev' instead of 'libsamplerate-dev'
autoconf est déjà la plus récente version disponible.
build-essential est déjà la plus récente version disponible.
libbz2-dev est déjà la plus récente version disponible.
cmake est déjà la plus récente version disponible.
libdbus-glib-1-dev est déjà la plus récente version disponible.
libfontconfig1-dev est déjà la plus récente version disponible.
libfreetype6-dev est déjà la plus récente version disponible.
libfribidi-dev est déjà la plus récente version disponible.
git est déjà la plus récente version disponible.
libglib2.0-dev est déjà la plus récente version disponible.
libgstreamer-plugins-base1.0-dev est déjà la plus récente version disponible.
libgstreamer1.0-dev est déjà la plus récente version disponible.
libgtk-3-dev est déjà la plus récente version disponible.
intltool est déjà la plus récente version disponible.
libjansson-dev est déjà la plus récente version disponible.
libmp3lame-dev est déjà la plus récente version disponible.
libappindicator-dev est déjà la plus récente version disponible.
libass-dev est déjà la plus récente version disponible.
libnotify-dev est déjà la plus récente version disponible.
libogg-dev est déjà la plus récente version disponible.
libsamplerate0-dev est déjà la plus récente version disponible.
libtheora-dev est déjà la plus récente version disponible.
libtool est déjà la plus récente version disponible.
libvorbis-dev est déjà la plus récente version disponible.
libxml2-dev est déjà la plus récente version disponible.
libopus-dev est déjà la plus récente version disponible.
libgudev-1.0-dev est déjà la plus récente version disponible.
libwebkitgtk-3.0-dev est déjà la plus récente version disponible.
libx264-dev est déjà la plus récente version disponible.
yasm est déjà la plus récente version disponible.
zlib1g-dev est déjà la plus récente version disponible.


apt-get install libtool-bin
libtool-bin est déjà la plus récente version disponible.


git clone https://github.com/HandBrake/HandBrake.git hb-master


cd hb-master
./configure --prefix=/usr --launch


....
 : file=`echo th | sed 's,.*/,,'`.gmo \
  :   && rm -f $file && /usr/bin/msgfmt -o $file /home/patrick/hb-master/build/../gtk/po/th.po
  : file=`echo zh_CN | sed 's,.*/,,'`.gmo \
  :   && rm -f $file && /usr/bin/msgfmt -o $file /home/patrick/hb-master/build/../gtk/po/zh_CN.po
  : make[3]: Leaving directory '/home/patrick/hb-master/build/gtk/po'
  : make[3]: Entering directory '/home/patrick/hb-master/build/gtk'
  : make[3]: Leaving directory '/home/patrick/hb-master/build/gtk'
  : make[2]: Leaving directory '/home/patrick/hb-master/build/gtk'
  : make[1]: Leaving directory '/home/patrick/hb-master/build/gtk'
-------------------------------------------------------------------------------
time end: Sun Oct  2 10:02:51 2016
duration: 14 minutes, 9 seconds (849.71s)
result: SUCCESS
-------------------------------------------------------------------------------
Build is finished!
You may now cd into ./build and examine the output.
patrick@debian:~/hb-master$
.......


su ***
pass ***

cd build
checkinstall --fstrans=no -D make install

1 -  Summary: [ HandBrake: Open Source Video Transcoder ]
2 -  Name:    [ handbrake ]
3 -  Version: [ 0.10.5 ]

ENTER

.....
installing ko.gmo as /usr/share/locale/ko/LC_MESSAGES/ghb.mo
installing no.gmo as /usr/share/locale/no/LC_MESSAGES/ghb.mo
installing pt_BR.gmo as /usr/share/locale/pt_BR/LC_MESSAGES/ghb.mo
installing ro_RO.gmo as /usr/share/locale/ro_RO/LC_MESSAGES/ghb.mo
installing ru.gmo as /usr/share/locale/ru/LC_MESSAGES/ghb.mo
installing th.gmo as /usr/share/locale/th/LC_MESSAGES/ghb.mo
installing zh_CN.gmo as /usr/share/locale/zh_CN/LC_MESSAGES/ghb.mo
make[2]: Leaving directory '/home/patrick/hb-master/build/gtk/po'
make[2]: Entering directory '/home/patrick/hb-master/build/gtk'
make[3]: Entering directory '/home/patrick/hb-master/build/gtk'
make[3]: Nothing to be done for 'install-exec-am'.
make[3]: Nothing to be done for 'install-data-am'.
make[3]: Leaving directory '/home/patrick/hb-master/build/gtk'
make[2]: Leaving directory '/home/patrick/hb-master/build/gtk'
make[1]: Leaving directory '/home/patrick/hb-master/build/gtk'

======================== Installation successful ==========================

Copying files to the temporary directory...OK

Stripping ELF binaries and libraries...OK

Compressing man pages...OK

Building file list...OK

Building Debian package...OK

Installing Debian package...OK

Erasing temporary files...OK

Writing backup package...OK
OK

Deleting temp dir...OK


**********************************************************************

 Done. The new package has been installed and saved to

 /home/patrick/hb-master/build/handbrake_0.10.5-1_amd64.deb

 You can remove it from your system anytime using:

      dpkg -r handbrake

**********************************************************************
....

 




Désinstallation :


apt-get remove --purge handbrake
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Les paquets suivants seront ENLEVÉS :
  handbrake*
0 mis à jour, 0 nouvellement installés, 1 à enlever et 0 non mis à jour.
Après cette opération, 43,9 Mo d'espace disque seront libérés.
Souhaitez-vous continuer ? [O/n] O
(Lecture de la base de données... 154053 fichiers et répertoires déjà installés.)
Suppression de handbrake (0.10.5-1) ...
Traitement des actions différées (« triggers ») pour gnome-menus (3.13.3-6) ...
Traitement des actions différées (« triggers ») pour desktop-file-utils (0.22-1) ...
Traitement des actions différées (« triggers ») pour mime-support (3.58) ...
Traitement des actions différées (« triggers ») pour hicolor-icon-theme (0.13-1) ...
root@debian:/home/patrick/hb-master/build#

 

Dernière modification par golgot200 (02-10-2016 10:20:32)


L'ultime question ... l'intelligence a besoin de la bêtise pour s'affirmer, la beauté a besoin de la laideur pour resplendir, le courage nait dans la peur, les forts impressionnent au millieu des faibles, mais au final,... qui a donc besoin d'autant de connards ?

Hors ligne

Pied de page des forums